LH_CONFIG(1)

NAME
lh_config - create configuration for live-helper

SYNOPSIS
lh_config [live-helper options]

lh_config
    [--apt apt|aptitude]
    [--apt-ftp-proxy URL]
    [--apt-http-proxy URL]
    [--apt-pdiffs enabled|disabled]
    [--apt-pipeline FIXME]
    [--apt-recommends enabled|disabled]
    [--apt-secure enabled|disabled]
    [-a|--architecture ARCHITECTURE]
    [-b|--binary-images iso|net|tar|usb-hdd]
    [--binary-filesystem fat16|fat32]
    [--binary-indices enabled|disabled]
    [--bootappend-install PARAMETER|
    [--bootappend-live PARAMETER|
    [--bootloader grub|syslinux|yaboot]
    [--bootstrap cdebootstrap|debootstrap]
    [--bootstrap-config FILE]
    [-f|--bootstrap-flavour minimal|standard]
    [--bootstrap-keyring PACKAGE]
    [--cache enabled|disabled]
    [--cache-indices enabled|disabled]
    [--cache-packages enabled|disabled]
    [--cache-stages STAGE|
    [--checksums enabled|disabled]
    [--chroot-build enabled|disabled]
    [--chroot-filesystem ext2|ext3|squashfs|plain]
    [-c|--conffile FILE]
    [--debconf-frontend dialog|editor|noninteractive|readline]
    [--debconf-nowarnings enabled|disabled]
    [--debconf-priority low|medium|high|critical]
    [--debian-installer enabled|disabled]
    [--debian-installer-daily enabled|disabled]
    [-d|--distribution CODENAME]
    [-e|--encryption aes128|aes192|aes256]
    [--fdisk PROGRAM]
    [--grub-splash FILE]
    [--hooks FILE]
    [--hostname NAME]
    [--includes PATH]
    [--initramfs auto|live-initramfs|casper]
    [--interactive shell]
    [--iso-application NAME]
    [--iso-preparer NAME]
    [--iso-publisher NAME]
    [--iso-volume NAME]
    [--keyring-packages PACKAGE|
    [-l|--language LANGUAGE]
    [-k|--linux-flavours FLAVOUR|
    [--linux-packages
    [--losetup losetup|losetup.orig]
    [--memtest memtest86+|memtest86]
    [-m|--mirror-binary-security URL]
    [--mirror-binary URL]
    [--mirror-bootstrap-security URL]
    [--mirror-bootstrap URL]
    [--mode debian|debian-edu]
    [--net-root-filesystem nfs|cfs]
    [--net-root-mountoptions OPTIONS]
    [--net-root-path PATH]
    [--net-root-server IP|HOSTNAME]
    [--net-cow-filesystem nfs|cfs]
    [--net-cow-mountoptions OPTIONS]
    [--net-cow-path PATH]
    [--net-cow-server IP|HOSTNAME]
    [-p|--packages-lists FILE]
    [--packages PACKAGE|
    [--root-command sudo]
    [--use-fakeroot enabled|disabled]
    [--sections SECTION|
    [--security enabled|disabled]
    [--source enabled|disabled]
    [-s|--source-images iso|net|tar|usb-hdd]
    [--symlinks enabled|disabled]
    [--syslinux-splash FILE]
    [--syslinux-timeout SECONDS]
    [--syslinux-menu enabled|disabled]
    [--sysvinit enabled|disabled]
    [--tasksel aptitude|tasksel]
    [--tasks TASK]
    [--templates PATH]
    [--union-filesystem aufs|unionfs]
    [--exposed-root enabled|disabled]
    [--username NAME]

DESCRIPTION
lh_config is a script to populate the configuration directory for live-helper. By default, this directory is named 'config' and is created in the current directory.

OPTIONS

--apt apt|aptitude

--apt-ftp-proxy URL

--apt-http-proxy URL

--apt-pdiffs enabled|disabled

--apt-pipeline FIXME

--apt-recommends enabled|disabled

--apt-secure enabled|disabled

-a|--architecture ARCHITECTURE

-b|--binary-images iso|net|tar|usb-hdd

--binary-filesystem fat16|fat32

--binary-indices enabled|disabled

--bootappend-install PARAMETER|

--bootappend-live PARAMETER|

--bootloader grub|syslinux|yaboot

--bootstrap cdebootstrap|debootstrap

--bootstrap-config FILE

-f|--bootstrap-flavour minimal|standard

--bootstrap-keyring PACKAGE

--cache enabled|disabled

--cache-indices enabled|disabled

--cache-packages enabled|disabled

--cache-stages STAGE|

--checksums enabled|disabled

--chroot-build enabled|disabled

--chroot-filesystem ext2|ext3|squashfs|plain

-c|--conffile FILE

--debconf-frontend dialog|editor|noninteractive|readline

--debconf-nowarnings enabled|disabled

--debconf-priority low|medium|high|critical

--debian-installer enabled|disabled

--debian-installer-daily enabled|disabled

-d|--distribution CODENAME

-e|--encryption aes128|aes192|aes256

--fdisk PROGRAM

--grub-splash FILE

--hooks FILE

--hostname NAME

--includes PATH

--initramfs auto|live-initramfs|casper

--interactive shell

--iso-application NAME

--iso-preparer NAME

--iso-publisher NAME

--iso-volume NAME

--keyring-packages PACKAGE|

-l|--language LANGUAGE

-k|--linux-flavours FLAVOUR|

--linux-packages

--losetup losetup|losetup.orig

--memtest memtest86+|memtest86

-m|--mirror-binary-security URL

--mirror-binary URL

--mirror-bootstrap-security URL

--mirror-bootstrap URL

--mode debian|debian-edu

--net-root-filesystem nfs|cfs

--net-root-mountoptions OPTIONS

--net-root-path PATH

--net-root-server IP|HOSTNAME

--net-cow-filesystem nfs|cfs

--net-cow-mountoptions OPTIONS

--net-cow-path PATH
    Specify path to client writable filesystem. Anywhere that client_mac_address is specified in the path live-initramfs will substitute the MAC address of the client delimited with hyphens.

    Example:
    /export/hosts/client_mac_address
    /export/hosts/00-16-D3-33-92-E8

--net-cow-server IP|HOSTNAME

-p|--packages-lists FILE

--packages PACKAGE|

--root-command sudo

--use-fakeroot enabled|disabled

--sections SECTION|

--security enabled|disabled

--source enabled|disabled

-s|--source-images iso|net|tar|usb-hdd

--symlinks enabled|disabled

--syslinux-splash FILE

--syslinux-timeout SECONDS

--syslinux-menu enabled|disabled

--sysvinit enabled|disabled

--tasksel aptitude|tasksel

--tasks TASK

--templates PATH

--union-filesystem aufs|unionfs

--exposed-root enabled|disabled

--username NAME

ENVIRONMENT
All command line switches can also be specified through the corresponding environment variable. Environment variables are name LH_FOO, means, e.g. --apt-ftp-proxy becomes LH_APT_FTP_PROXY.

SEE ALSO
live-helper(7)

This program is a part of live-helper.

BUGS
Report bugs against live-helper <http://packages.qa.debian.org/live-helper>.

HOMEPAGE
More information about the Debian Live project can be found at <http://debian-live.alioth.debian.org/> and <http://wiki.debian.org/DebianLive/>.

AUTHOR
live-helper was written by Daniel Baumann <daniel@debian.org> for the Debian project.